# This file created by conda-build 3.21.7
# ------------------------------------------------

package:
  name: opencv
  version: 4.5.4
source:
  - fn: opencv-4.5.4.zip
    sha256: 5deac7f7341faf4b23c38d65f8f89dbf5b4b30d345390a60853640967a2bf61b
    url: https://github.com/opencv/opencv/archive/4.5.4.zip
  - fn: opencv_contrib-4.5.4.tar.gz
    folder: opencv_contrib-4.5.4
    sha256: ad74b440b4539619dc9b587995a16b691246023d45e34097c73e259f72de9f81
    url: https://github.com/opencv/opencv_contrib/archive/4.5.4.tar.gz
build:
  ignore_run_exports:
    - openblas-devel
  number: 1
  string: py39h190ae9e_1
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - acl-amzn2-aarch64 2.2.51 5
    - audit-libs-amzn2-aarch64 2.8.1 5
    - basesystem-amzn2-aarch64 10.0 5
    - binutils_impl_linux-aarch64 2.36.1 h0d3074b_3
    - binutils_linux-aarch64 2.36.1 h1234567_41
    - bzip2 1.0.8 hfd63f10_2
    - bzip2-libs-amzn2-aarch64 1.0.6 5
    - ca-certificates 2022.2.1 hd43f75c_0
    - coreutils-amzn2-aarch64 8.22 5
    - cracklib-amzn2-aarch64 2.9.0 5
    - cracklib-dicts-amzn2-aarch64 2.9.0 5
    - cryptsetup-libs-amzn2-aarch64 1.7.4 5
    - dbus-amzn2-aarch64 1.10.24 5
    - dbus-libs-amzn2-aarch64 1.10.24 5
    - device-mapper-libs-amzn2-aarch64 1.02.146 5
    - diffutils-amzn2-aarch64 3.3 5
    - elfutils-default-yama-scope-amzn2-aarch64 0.176 5
    - elfutils-libelf-amzn2-aarch64 0.176 5
    - elfutils-libs-amzn2-aarch64 0.176 5
    - expat-amzn2-aarch64 2.1.0 5
    - filesystem-amzn2-aarch64 3.2 5
    - gawk-amzn2-aarch64 4.0.2 5
    - gcc_impl_linux-aarch64 10.2.0 h1234567_51
    - gcc_linux-aarch64 10.2.0 h1234567_41
    - gl-manpages-amzn2-aarch64 1.1 5
    - glibc-amzn2-aarch64 2.26 5
    - glibc-common-amzn2-aarch64 2.26 5
    - glibc-minimal-langpack-amzn2-aarch64 2.26 5
    - gmp-amzn2-aarch64 6.0.0 5
    - grep-amzn2-aarch64 2.20 5
    - gxx_impl_linux-aarch64 10.2.0 h1234567_51
    - gxx_linux-aarch64 10.2.0 h1234567_41
    - gzip-amzn2-aarch64 1.5 5
    - info-amzn2-aarch64 5.1 5
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - kmod-amzn2-aarch64 25 5
    - kmod-libs-amzn2-aarch64 25 5
    - ld_impl_linux-aarch64 2.36.1 h0ab8de2_3
    - libacl-amzn2-aarch64 2.2.51 5
    - libattr-amzn2-aarch64 2.4.46 5
    - libblkid-amzn2-aarch64 2.30.2 5
    - libcap-amzn2-aarch64 2.22 5
    - libcap-ng-amzn2-aarch64 0.7.5 5
    - libcrypt-amzn2-aarch64 2.26 5
    - libcurl-amzn2-aarch64 7.61.1 5
    - libdb-amzn2-aarch64 5.3.21 5
    - libdrm-amzn2-aarch64 2.4.97 5
    - libffi 3.3 h7c1a80f_2
    - libffi-amzn2-aarch64 3.0.13 5
    - libgcc-amzn2-aarch64 7.3.1 5
    - libgcc-devel_linux-aarch64 10.2.0 h1234567_51
    - libgcc-ng 10.2.0 h1234567_51
    - libgcrypt-amzn2-aarch64 1.5.3 5
    - libglvnd-amzn2-aarch64 1.0.1 5
    - libglvnd-core-devel-amzn2-aarch64 1.0.1 5
    - libglvnd-devel-amzn2-aarch64 1.0.1 5
    - libglvnd-egl-amzn2-aarch64 1.0.1 5
    - libglvnd-gles-amzn2-aarch64 1.0.1 5
    - libglvnd-glx-amzn2-aarch64 1.0.1 5
    - libglvnd-opengl-amzn2-aarch64 1.0.1 5
    - libgomp 10.2.0 h1234567_51
    - libgpg-error-amzn2-aarch64 1.12 5
    - libmount-amzn2-aarch64 2.30.2 5
    - libpwquality-amzn2-aarch64 1.2.3 5
    - libselinux-amzn2-aarch64 2.5 5
    - libsepol-amzn2-aarch64 2.5 5
    - libstdcxx-amzn2-aarch64 7.3.1 5
    - libstdcxx-devel_linux-aarch64 10.2.0 h1234567_51
    - libstdcxx-ng 10.2.0 h1234567_51
    - libuuid 1.0.3 h2f4d8fa_2
    - libuuid-amzn2-aarch64 2.30.2 5
    - libwayland-client-amzn2-aarch64 1.17.0 5
    - libwayland-server-amzn2-aarch64 1.17.0 5
    - libx11-amzn2-aarch64 1.6.7 5
    - libx11-common-amzn2-aarch64 1.6.7 5
    - libxau-amzn2-aarch64 1.0.8 5
    - libxcb-amzn2-aarch64 1.12 5
    - libxdamage-amzn2-aarch64 1.1.4 5
    - libxext-amzn2-aarch64 1.3.3 5
    - libxfixes-amzn2-aarch64 5.0.3 5
    - libxshmfence-amzn2-aarch64 1.2 5
    - libxxf86vm-amzn2-aarch64 1.1.4 5
    - lz4-amzn2-aarch64 1.7.5 5
    - mesa-khr-devel-amzn2-aarch64 18.3.4 5
    - mesa-libegl-amzn2-aarch64 18.3.4 5
    - mesa-libegl-devel-amzn2-aarch64 18.3.4 5
    - mesa-libgbm-amzn2-aarch64 18.3.4 5
    - mesa-libgl-amzn2-aarch64 18.3.4 5
    - mesa-libgl-devel-amzn2-aarch64 18.3.4 5
    - mesa-libglapi-amzn2-aarch64 18.3.4 5
    - ncurses 6.3 h2f4d8fa_2
    - ncurses-amzn2-aarch64 6.0 5
    - ncurses-base-amzn2-aarch64 6.0 5
    - ncurses-libs-amzn2-aarch64 6.0 5
    - ninja 1.10.2 py310h59a28a9_3
    - openssl 1.1.1m h2f4d8fa_0
    - pam-amzn2-aarch64 1.1.8 5
    - pcre-amzn2-aarch64 8.32 5
    - pkg-config 0.29.2 h2f4d8fa_0
    - python 3.10.0 hc137634_5
    - qrencode-libs-amzn2-aarch64 3.4.1 5
    - readline 8.1.2 h2f4d8fa_1
    - sed-amzn2-aarch64 4.2.2 5
    - setup-amzn2-aarch64 2.8.71 5
    - sqlite 3.38.0 h6632b73_0
    - sysroot_linux-aarch64 2.26 h4744778_14
    - system-release-amzn2-aarch64 2 5
    - systemd-amzn2-aarch64 219 5
    - systemd-libs-amzn2-aarch64 219 5
    - tk 8.6.11 h241ca14_0
    - tzdata 2021e hda174b7_0
    - tzdata-amzn2-aarch64 2020d 5
    - xz 5.2.5 hfd63f10_1
    - xz-libs-amzn2-aarch64 5.2.2 5
    - zlib 1.2.11 hfd63f10_5
    - zlib-amzn2-aarch64 1.2.7 5
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - adwaita-icon-theme 40.1.1 hd43f75c_1
    - at-spi2-atk 2.34.2 hf975c6d_0
    - at-spi2-core 2.36.0 hf975c6d_1
    - atk-1.0 2.36.0 h920789f_0
    - blas 1.0 openblas
    - bzip2 1.0.8 hfd63f10_2
    - c-ares 1.18.1 h2f4d8fa_0
    - ca-certificates 2022.2.1 hd43f75c_0
    - cairo 1.16.0 h81ccd62_1
    - cmake 3.22.1 h984d34b_0
    - dbus 1.13.18 h821dc26_0
    - eigen 3.3.7 h59a28a9_1
    - epoxy 1.5.4 h2f4d8fa_2
    - expat 2.4.4 h22f4aa5_0
    - fontconfig 2.13.1 hbe5a0c3_0
    - freetype 2.10.4 hbbbf32d_1
    - fribidi 1.0.10 hfd63f10_0
    - gdk-pixbuf 2.38.2 h920789f_4
    - gettext 0.21.0 h8e1abe2_0
    - giflib 5.2.1 h2f4d8fa_0
    - glib 2.69.1 h549d06d_1
    - gobject-introspection 1.68.0 py39he33f421_3
    - graphite2 1.3.14 h0b239d7_0
    - gst-plugins-base 1.14.1 hfb8a71d_0
    - gstreamer 1.14.1 h982c5ff_0
    - gtk3 3.24.21 h1c650a6_2
    - harfbuzz 2.8.0 h905054b_0
    - hdf5 1.10.6 h702ddfa_0
    - hicolor-icon-theme 0.17 hd43f75c_2
    - icu 68.1 h22f4aa5_0
    - jpeg 9d h2f4d8fa_0
    - krb5 1.19.2 h9f0e0cd_0
    - ld_impl_linux-aarch64 2.36.1 h0ab8de2_3
    - libcups 2.2.12 h549d06d_1
    - libcurl 7.80.0 h13c8431_0
    - libedit 3.1.20210910 h2f4d8fa_0
    - libev 4.33 hfd63f10_1
    - libevent 2.1.10 hcd09bdd_2
    - libffi 3.3 h7c1a80f_2
    - libgcc-ng 10.2.0 h1234567_51
    - libgfortran-ng 10.2.0 h9534d94_51
    - libgfortran5 10.2.0 h1234567_51
    - libgomp 10.2.0 h1234567_51
    - libnghttp2 1.46.0 hb87466c_0
    - libopenblas 0.3.17 hac96964_1
    - libpng 1.6.37 h241ca14_0
    - libpq 12.9 he3421e9_1
    - librsvg 2.50.7 h7ed7576_0
    - libssh2 1.9.0 hcd09bdd_1
    - libstdcxx-ng 10.2.0 h1234567_51
    - libtiff 4.2.0 h4002a9d_0
    - libuuid 1.0.3 h2f4d8fa_2
    - libuv 1.40.0 hfd63f10_0
    - libwebp 1.2.2 hfc6c9db_0
    - libwebp-base 1.2.2 h2f4d8fa_0
    - libxcb 1.14 hfd63f10_0
    - libxkbcommon 1.0.1 h1897131_0
    - libxml2 2.9.12 he30c317_0
    - libxslt 1.1.34 hececbcc_0
    - lz4-c 1.9.3 h7c1a80f_0
    - ncurses 6.3 h2f4d8fa_2
    - ninja 1.10.2 py39h59a28a9_3
    - numpy 1.16.6 py39h6e6f1e0_2
    - numpy-base 1.16.6 py39h0361ad9_2
    - openjpeg 2.3.0 h6ad72d0_2
    - openssl 1.1.1m h2f4d8fa_0
    - pango 1.45.3 hef97164_0
    - pcre 8.45 h22f4aa5_0
    - pixman 0.40.0 h2f4d8fa_1
    - python 3.9.7 hc137634_1
    - qt 5.15.2 h4236ef2_3
    - readline 8.1.2 h2f4d8fa_1
    - rhash 1.4.1 hcd09bdd_1
    - sqlite 3.38.0 h6632b73_0
    - tk 8.6.11 h241ca14_0
    - tzdata 2021e hda174b7_0
    - xz 5.2.5 hfd63f10_1
    - zlib 1.2.11 hfd63f10_5
    - zstd 1.5.0 hfcb3217_0
  run:
    - _openmp_mutex >=5.1
    - eigen
    - ffmpeg
    - freetype >=2.10.4,<3.0a0
    - glib >=2.69.1,<3.0a0
    - gst-plugins-base >=1.14.1,<1.15.0a0
    - gstreamer >=1.14.1,<1.15.0a0
    - harfbuzz >=2.8.0,<3.0a0
    - hdf5 >=1.10.6,<1.10.7.0a0
    - jpeg >=9d,<10a
    - libgcc-ng >=10.2.0
    - libpng >=1.6.37,<1.7.0a0
    - libstdcxx-ng >=10.2.0
    - libtiff >=4.2.0,<5.0a0
    - numpy 1.16.*
    - openjpeg >=2.3.0,<3.0a0
    - python >=3.9,<3.10.0a0
    - qt ==5.15.2
    - zlib >=1.2.11,<1.3.0a0
test:
  commands:
    - pushd test-cmake
    - cmake . -GNinja -DOpenCV_SHARED=ON
    - cmake --build . --config Release
    - popd
    - test -f ${CONDA_PREFIX}/lib/libopencv_aruco.so
    - test -f ${CONDA_PREFIX}/lib/libopencv_bgsegm.so
    - test -f ${CONDA_PREFIX}/lib/libopencv_calib3d.so
    - test -f ${CONDA_PREFIX}/lib/libopencv_ccalib.so
    - test -f ${CONDA_PREFIX}/lib/libopencv_core.so
    - test -f ${CONDA_PREFIX}/lib/libopencv_datasets.so
    - test -f ${CONDA_PREFIX}/lib/libopencv_features2d.so
    - test -f ${CONDA_PREFIX}/lib/libopencv_flann.so
    - test -f ${CONDA_PREFIX}/lib/libopencv_fuzzy.so
    - test -f ${CONDA_PREFIX}/lib/libopencv_highgui.so
    - test -f ${CONDA_PREFIX}/lib/libopencv_imgcodecs.so
    - test -f ${CONDA_PREFIX}/lib/libopencv_imgproc.so
    - test -f ${CONDA_PREFIX}/lib/libopencv_line_descriptor.so
    - test -f ${CONDA_PREFIX}/lib/libopencv_ml.so
    - test -f ${CONDA_PREFIX}/lib/libopencv_optflow.so
    - test -f ${CONDA_PREFIX}/lib/libopencv_phase_unwrapping.so
    - test -f ${CONDA_PREFIX}/lib/libopencv_photo.so
    - test -f ${CONDA_PREFIX}/lib/libopencv_plot.so
    - test -f ${CONDA_PREFIX}/lib/libopencv_reg.so
    - test -f ${CONDA_PREFIX}/lib/libopencv_rgbd.so
    - test -f ${CONDA_PREFIX}/lib/libopencv_saliency.so
    - test -f ${CONDA_PREFIX}/lib/libopencv_shape.so
    - test -f ${CONDA_PREFIX}/lib/libopencv_stereo.so
    - test -f ${CONDA_PREFIX}/lib/libopencv_stitching.so
    - test -f ${CONDA_PREFIX}/lib/libopencv_structured_light.so
    - test -f ${CONDA_PREFIX}/lib/libopencv_superres.so
    - test -f ${CONDA_PREFIX}/lib/libopencv_surface_matching.so
    - test -f ${CONDA_PREFIX}/lib/libopencv_tracking.so
    - test -f ${CONDA_PREFIX}/lib/libopencv_video.so
    - test -f ${CONDA_PREFIX}/lib/libopencv_videoio.so
    - test -f ${CONDA_PREFIX}/lib/libopencv_videostab.so
    - test -f ${CONDA_PREFIX}/lib/libopencv_xfeatures2d.so
    - test -f ${CONDA_PREFIX}/lib/libopencv_ximgproc.so
    - test -f ${CONDA_PREFIX}/lib/libopencv_xphoto.so
  files:
    - test-cmake/CMakeLists.txt
    - test-cmake/DisplayImage.cpp
    - test.cpp
  requires:
    - cmake
    - gxx_linux-aarch64 10.2.0.*
    - libselinux-devel-amzn2-aarch64
    - libx11-devel-amzn2-aarch64
    - libxau-devel-amzn2-aarch64
    - libxcb-amzn2-aarch64
    - libxdamage-devel-amzn2-aarch64
    - libxext-devel-amzn2-aarch64
    - libxfixes-devel-amzn2-aarch64
    - libxi-devel-amzn2-aarch64
    - libxrender-devel-amzn2-aarch64
    - libxxf86vm-amzn2-aarch64
    - mesa-dri-drivers-amzn2-aarch64
    - mesa-libgl-devel-amzn2-aarch64
    - ninja
    - numpy
    - python >=3.9,<3.10.0a0
    - xorg-x11-proto-devel-amzn2-aarch64
about:
  description: 'OpenCV (Open Source Computer Vision Library) includes several hundreds
    of computer vision algorithms.

    It has a modular structure,which means that the package includes several shared
    or static libraries.

    '
  dev_url: https://github.com/opencv/opencv/
  doc_source_url: https://github.com/opencv/opencv/tree/master/doc
  doc_url: https://docs.opencv.org/
  home: https://opencv.org/
  license: Apache-2.0
  license_family: Apache
  summary: Computer vision and machine learning software library.
extra:
  copy_test_source_files: true
  final: true
